> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.trypila.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Details

> An endpoint allows you to retrieve details of a created wallet

```text [GET] theme={null}
{{baseUrl}}/api/v1/wallet/ngn/retrieve
```

### Header

| Header | Type | Description |
| - | - | - |
| AppId | string | you would need to create an app to get your app ID |
| Authorization | string | Your private (secret) key |

### Query parameter

| Parameter | Type | Description | |
| - | - | - | - |
| wallet\_id \* | string | The unique wallet ID | required |

### Sample response

```json Response theme={null}
{
  "entity": {
    "wallet_id": "1b9484e3-59a7-4e72-9a72-164a908g56b8",
    "wallet_amount": 1172,
    "account_number": "1004656370",
    "phone_number": "09032652195",
    "bank_name": "VFD MFB"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.